from cpl_cli.configuration import ProjectSettings
from cpl_core.application.application_abc import ApplicationABC
from cpl_core.configuration.configuration_abc import ConfigurationABC
from cpl_core.console import Console
from cpl_core.dependency_injection.service_provider_abc import ServiceProviderABC


class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)

        self._ps: ProjectSettings = config.get_configuration(ProjectSettings)

    def configure(self):
        pass

    def main(self):
        Console.write_line(self._ps.version.to_str())
